## org.jfree.report.data
Class DefaultDataFlags

    java.lang.Object
      org.jfree.report.data.DefaultDataFlags

All Implemented Interfaces:
  DataFlags

    public class DefaultDataFlags

extends java.lang.Object
implements DataFlags

Creation-Date: 20.02.2006, 16:00:34

Author:
  Thomas Morgner

Constructor Summary
`DefaultDataFlags(java.lang.String name, java.lang.Object value, boolean changed)`

Method Summary
`java.lang.String` `getName()`
`java.lang.Object` `getValue()`
`boolean` `isChanged()`
`boolean` `isDate()`
`boolean` `isNegative()`
`boolean` `isNull()`
`boolean` `isNumeric()`
`boolean` `isPositive()`
`boolean` `isZero()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultDataFlags

    public DefaultDataFlags(java.lang.String name,
                            java.lang.Object value,
                            boolean changed)

Method Detail

### isNumeric

    public boolean isNumeric()

  Specified by:
    `isNumeric` in interface `DataFlags`

### isDate

    public boolean isDate()

  Specified by:
    `isDate` in interface `DataFlags`

### isNull

    public boolean isNull()

  Specified by:
    `isNull` in interface `DataFlags`

### isZero

    public boolean isZero()

  Specified by:
    `isZero` in interface `DataFlags`

### isNegative

    public boolean isNegative()

  Specified by:
    `isNegative` in interface `DataFlags`

### isPositive

    public boolean isPositive()

  Specified by:
    `isPositive` in interface `DataFlags`

### isChanged

    public boolean isChanged()

  Specified by:
    `isChanged` in interface `DataFlags`

### getValue

    public java.lang.Object getValue()

  Specified by:
    `getValue` in interface `DataFlags`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `DataFlags`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`